Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoSFBitMask Class Reference
[Field classes]

The SoSFBitMask class is a container for a set of bit flags. More...

`#include <Inventor/fields/SoSFBitMask.h>`

Inheritance diagram for SoSFBitMask:

List of all members.

## Static Public Methods
void | initClass (void)

## Detailed Description

The SoSFBitMask class is a container for a set of bit flags.

This field is used where nodes, engines or other field containers needs to store one particular set of bit flags from an enumerated set.

A field of this type stores its value to file as the symbolic names, rather than the actual integer bitmask. If more than one bit is set in the value when exporting, the bits are written like this: "(BITNAME|BITNAME|BITNAME|...)".

See also:
  SoMFBitMask

## Member Function Documentation

void SoSFBitMask::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoSFEnum.

The documentation for this class was generated from the following files:

- SoSFBitMask.h
- SoSFBitMask.cpp